import load from 'load-script'

window._AMapSecurityConfig = {
  securityJsCode: '2772df7c6ed7cb96fb0a42432b44fb65'
}

let cacheAMap = null
/**
 * 加载远程script文件
*/
export function loadMapScript() {
  return new Promise((resolve, reject) => {
    if (cacheAMap) {
      resolve(cacheAMap)
    } else {
      load('//webapi.amap.com/loader.js', () => {
        window.AMapLoader.load({
          key: '8061647a14a83f769b7237bf954e1a2c', // 申请好的Web端开发者Key，首次调用 load 时必填
          version: '2.0', // 指定要加载的 JSAPI 的版本，缺省时默认为 1.4.15
          plugins: [], // 需要使用的的插件列表，如比例尺'AMap.Scale'等
          Loca: { // 是否加载 Loca， 缺省不加载
            version: '2.0' // Loca 版本
          }
        }).then((AMap) => {
          cacheAMap = AMap
          resolve(AMap)
        }).catch((e) => {
          reject(e)
        })
      }, reject)
    }
  })
}
